Requirements

Requirements: What You Need to Get Started

The jQuery plugin requires a few freely available resources. You’ll need to download these and set them up on your server. You could also link directly to the files hosted on a public CDN like Google Hosted Libraries.

jQuery

Requires jQuery version 1.8 or newer. The 2.x branch is also compatible, but does not support legacy browsers like IE8. If legacy support is not a concern then 2.x is recommended.

<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js" type="text/javascript"></script>

jQuery UI

Requires jQuery UI version 1.9 or newer. The current stable version is ideal.

<script src="http://ajax.googleapis.com/ajax/libs/jqueryui/1.11.3/jquery-ui.min.js" type="text/javascript"></script>

jQuery UI Theme

Requires your choice of a jQuery UI theme. Pre-made packages or roll-your-own are all acceptable.

<style href="http://ajax.googleapis.com/ajax/libs/jqueryui/1.11.3/themes/redmond/jquery-ui.css" rel="stylesheet"></style>

Google Maps Requirements

Once you have jQuery set up on your site you’ll need to add the Google Maps API. Here is an example.

<script src="https://maps.googleapis.com/maps/api/js?sensor=false" type="text/javascript"></script>

MapsPLUS API Requirements

This is the main plugin code. You will want to link to our servers directly as shown below.

<script src="https://api.streetscapeplus.com/js/api/mapsplus.jquery.min.js" type="text/javascript"></script>

MapsPLUS CDN (Optional)

This part is optional. This must be added above the main MapsPLUS API. This will allow you to override the domain of all requests made by the plugin. This is sometimes useful for changing the request method from https to http for example.

Sometimes we will host files on different subdomains as part of a content delivery network. We only engage the CDN should your map receive an extreme level of traffic.

jQuery TouchPunch (Optional)

Add the jQuery UI touch package if you have need of supporting touch devices like iPad’s, all-in-one’s or our Launchpad systems.

jQuery UI Dialog Extend (Optional)

The Dialog Extend plugin for jQuery UI is a useful and quick way to add maximize and/or minimize buttons to the dialog window.

MapsPLUS Supporting CSS (Optional)

Our experience has taught us that a little extra CSS can go a long way. The following CSS is recommended, but not requried. Use all, some or none depending on your individual needs and situation.

Leave a Reply

Your email address will not be published. Required fields are marked *

Want Us to Do It For You?

Contact Us

We are map designers, artists & developers. We built MapsPLUS to help you publish interactive maps more quickly and easily, but if you'd like to collaborate with us - we'd love to help you. We've designed maps and created interactive mapping tools for clients over the past 2 decades. If you'd like to know more about our firm - we are E2 + Associates.

Get in Touch

The best way to contact us is either by email, through our contact form or by grabbing the phone and calling Sean Young at 1 (888) 443-7446.

Service

STYLE SWITCHER

Make MapsPLUS your own. Change the color of the website below or visit our style gallery or live showcase to explore the possibilities.